Bug 231505 - math/sleef: fix build with base GCC
Summary: math/sleef: fix build with base GCC
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Johannes M Dieterich
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-09-20 09:42 UTC by Piotr Kubaj
Modified: 2018-09-23 05:09 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (jmd)


Attachments
patch (306 bytes, patch)
2018-09-20 09:42 UTC, Piotr Kubaj
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2018-09-20 09:42:55 UTC
Created attachment 197265 [details]
patch

USES=compiler:c11 is required to compile this port with base GCC, which is used on Tier 2 platforms.

Tested on CURRENT with amd64 and powerpc64.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2018-09-21 05:06:35 UTC
I'm confused.  On powerpc64-11 (which is where I mainly test) I get:

pkg-static: Unable to access file /wrkdirs/usr/ports/math/sleef/work/stage/usr/local/lib/libsleefgnuabi.so:No such file or directory
pkg-static: Unable to access file /wrkdirs/usr/ports/math/sleef/work/stage/usr/local/lib/libsleefgnuabi.so.3:No such file or directory
pkg-static: Unable to access file /wrkdirs/usr/ports/math/sleef/work/stage/usr/local/lib/libsleefgnuabi.so.3.3:No such file or directory
Comment 2 Piotr Kubaj freebsd_committer 2018-09-21 07:25:00 UTC
(In reply to Mark Linimon from comment #1)
I'm not getting this error on CURRENT. Unfortunately, I don't have powerpc64 11-STABLE at this moment.

Could you at least then commit this partial fix?
Comment 3 commit-hook freebsd_committer 2018-09-23 05:07:17 UTC
A commit references this bug:

Author: linimon
Date: Sun Sep 23 05:07:13 UTC 2018
New revision: 480452
URL: https://svnweb.freebsd.org/changeset/ports/480452

Log:
  Fix build on gcc-bases archs.

  Also tested on amd64.

  PR:		231505
  Submitted by:	Piotr Kubaj
  Approved by:	portmgr (tier-2 blanket)

Changes:
  head/math/sleef/Makefile